angband (1:3.5.1-2.2build1) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:13:18 +0000

angband (1:3.5.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply pie.patch and fix FTBFS due to extra hardening.
    Thanks to Adrian Bunk for the patch. (Closes: #837394)

 -- Markus Koschany <apo@debian.org>  Mon, 28 Nov 2016 18:38:29 +0100

angband (1:3.5.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Build --with autotools_dev and fix FTBFS on ppc64el that
    prevents the package from migrating to testing.
    Thanks to Erwan Prioul for the report and patch. (Closes: #795478)

 -- Markus Koschany <apo@debian.org>  Tue, 05 Jan 2016 15:13:19 +0100

angband (1:3.5.1-2) unstable; urgency=low

  * Moved all Build-Depends-Indep to Build-Depends following autobuild failure
  * Created DEP-5-compliant debian/copyright file.

 -- Chris Carr <rantingman@gmail.com>  Wed, 11 Feb 2015 22:54:23 +0000

angband (1:3.5.1-1) unstable; urgency=low

  * New upstream release with many more changes to gameplay and UI. See
    changelog for details.
  * Updated Standards-Version. Added Package-List field to debian/control.
  * Added Build-Depends-Indep on python-docutils, texlive-latex-extra and
    texlive-fonts-recommended (for the PDF manual), and on imagemagick (for
    the xpm menu icon)
  * Fix "Console mode is missing": correct ncurses dependency (Closes: #698155)
  * Fix "Obsolete conffiles in /etc/angband/pref/ not cleaned up on
    upgrade": old *.prf files now properly removed (Closes: #669954)
  * Fix "Please enable shared score file again": package built setgid games
    again now that gtk support has been removed upstream (Closes: #684166)
  * Fix "Various segmentation faults": gtk support removed upstream
    (Closes: #715515)
  * Fix "angband-gtk: angband-gtk does not have a window manager close
    button": gtk support removed upstream (Closes: #646679)
  * Fix "Small typo in long description ("Tolkein")": fixed typo 
    (Closes: #648058)
  * Fix "menu icon entries missing": menu icon added (Closes: #737789)
  * Fix "please package the latest upstream version": new upstream version
    (Closes: #737249, LP: #1403010)

 -- Chris Carr <rantingman@gmail.com>  Sat, 17 Jan 2015 11:06:55 +0000

angband (1:3.3.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "removes files that were installed by another package:
    /usr/share/angband/*":
    don't remove /usr/share/angband from angband's postrm; the directory
    belongs to angband-data.
    (Closes: #684180)

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 Aug 2012 19:11:55 +0200

angband (1:3.3.2-2) unstable; urgency=low

  * Fixed conflict between angband-data and older versions of angband
											Closes: #647437
  * Updated ncurses dependency to ncursesw, since Angband now speaks UTF-8
  * Package now includes .desktop entries for x11, GTK and SDL modes.
  * Package now includes a PDF manual in addition to in-game help.

 -- Chris Carr <rantingman@gmail.com>  Wed, 04 Nov 2011 20:12:39 +0000

angband (1:3.3.2-1) unstable; urgency=low

  * New upstream release with many more changes to gameplay and UI. See
    changelog for details.
  * Updated Standards-Version. No changes.
  * Package rebuilt in 3.0 (quilt) format.

 -- Chris Carr <rantingman@gmail.com>  Tue, 25 Oct 2011 16:50:52 +0100

angband (1:3.2.0-1) unstable; urgency=low

  * New upstream release with significant changes to gameplay and options. See
    changelog for details.
  * Fixed high CPU usage with -mx11			Closes: #547261
  * Added suggestion for new angband-audio package (in non-free).
  * Updated Standards-Version. No changes.
  * Removed build-dep on cvs.
  * Removed bashism from configure.ac 		Closes: #619695

 -- Chris Carr <rantingman@gmail.com>  Sat, 02 Apr 2011 09:38:11 -0000

angband (1:3.1.2v2-2) unstable; urgency=low

  * Added missing build-depends on libglade2.0-dev.
  * Added debian/source/format per policy.

 -- Chris Carr <rantingman@gmail.com>  Mon, 05 Apr 2010 18:30:10 -0000

angband (1:3.1.2v2-1) unstable; urgency=low

  * New upstream release. Angband 3.1.x is a development series which
    contains a number of major changes - see the changelog for details.
  * Package now built --with-private-dirs, which enables Gtk support at the
    expense of a system-wide score file. Score, save and user pref files now
    in ~/.angband/Angband/ (any old save, pref and spoiler files are left in 
    /var/games/angband for manual cleanup). To avoid using Gtk, start the 
    game with the -mx11 or -msdl options (-mgcu for console mode).
  * Added reference to recovering old files to README.debian
							Closes: #573117
  * ".raw" files removed upstream.			Closes: #542346
							Closes: #547259
  * Minor changes to documentation pending full rewrite.
							Closes: #542348
  * Corrected all uses of "lite" and "hilite" except the one on the 
    resistances display screen.				Closes: #547260
  * Added recommendation for xfonts-base.		Closes: #566268
  * Updated Standards-Version. No changes.

 -- Chris Carr <rantingman@gmail.com>  Sun, 18 Mar 2010 18:19:40 -0000

angband (1:3.1.1.1626-1) unstable; urgency=low

  * New maintainer. Added Manoj Srivastava to Uploaders.
  * New upstream release. Angband 3.1.x is a development series which
    contains a number of major changes - see the changelog for details.
  * This package is now entirely DFSG-compliant - moved to main. To achieve
    this, the sounds have been removed. They will be replaced in a separate
    angband-audio package.
                                                        Closes: #511368
  * Xaw support removed upstream.

 -- Chris Carr <rantingman@gmail.com>  Mon, 17 Aug 2009 21:10:02 -0000

angband (1:3.0.9b-3) unstable; urgency=medium

  * pre-inst fails on upgrade from version 1:3.0.5-1, as we are not
    checking /var/lib/games/angband/save has any files in it - if it
    doesn't, then you see the failure mode described. Analysis and fix
    from Matthew Vernon. This closes an important bug.  Closes:  #494199
  * /var/games/angband/data/spell.raw has wrong permissions. We set the
    correct permission on 4 other directories in the /var/games/angband/
    hierarchy, and really, this chmod g+w was a long standing bug. While
    not labeled important, this is a minimal change, and is consistent
    with the handling of other game files. Thanks to Chris Carr.
                                                        Closes: #490871
  * Updated Standards-Version. No changes.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 04 Sep 2008 11:13:05 -0500

angband (1:3.0.9b-2) unstable; urgency=low

  * Record the fact that this package has moved to a new git repository.
  * Move to the new, make -j friendly targets in debian/rules.
  * Added support for the SDL mode display support into angband.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 02 Jun 2008 11:11:35 -0500

angband (1:3.0.9b-1) unstable; urgency=low

  * New upstream release.  Angband 3.0.9b is a bugfix version of 3.0.9.
    It makes the following changes on top of those mentioned below:
     - Monsters are back up to their pre-3.0.9 levels of smartness.
     - Store UI behaviour changed so that pressing Enter no longer
       initiates buying.
     - Fix detection of curses libraries using autoconf.
     - Fix broken install using autoconf.
     - Add the tvals for oil and dragon armor to the tval squelch list.
     - Once again dump modified colour information to pref files.
     - Fix warnings when compiling the SDL port.
     - Fix up roguelike keys in the store (vs. 3.0.9a)

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 03 Apr 2008 18:47:33 -0500

angband (1:3.0.9-1) unstable; urgency=low

  * New upstream release. This is a fairly major update, and should work
    better than the older versions.                       Closes: #437001
  * Added new, working watch file, based on rephial site. Closes: #450258
  * Quote file names in preinst.                          Closes: #410363

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 07 Feb 2008 19:17:48 -0600

angband (1:3.0.6-4) unstable; urgency=low

  * Bug fix: "angband: error on upgrade: ... scores.raw': No such file or
    directory", thanks to Ross Boylan                     (Closes: #374580).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Jun 2006 00:57:42 -0500

angband (1:3.0.6-3) unstable; urgency=low

  * Ack NMU.
  * Updated copyright files.
  * Bug fix: "angband: Upgrade woody-&gt;sarge has lost high-score file",
    thanks to Matthew Vernon. Now try to recover from the
    /var/lib/games/angbane to the /var/games/angband move, and try to
    clear out the obsolete cruft on install.             (Closes: #370223).
  * Bug fix: "diff for 1:3.0.6-2.1 NMU", thanks to Steinar H. Gunderson
    Applied.                                             (Closes: #372653).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Jun 2006 15:24:42 -0500

angband (1:3.0.6-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * List libxaw7-dev as preferred build-dependency for libxaw[678]-dev, as
    libxaw8-dev no longer exists in unstable; fixes FTBFS. (Closes: #370085)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 10 Jun 2006 19:26:54 +0200

angband (1:3.0.6-2) unstable; urgency=low

  * Updated build dependencies
  * Bug fix: "failure to purge", thanks to Sebastian Rittau. Make sure we
    get rid of all the add-on info files as well.            (Closes: #345593).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  8 Feb 2006 10:28:12 -0600

angband (1:3.0.6-1) unstable; urgency=low

  * New upstream release
     - Wands and staves are no longer destroyed when a recharge attempt
       backfires.  Instead all the charges are drained.
     - Renamed the artifact short sword 'Gilettar' to 'Dagmor' since that
       name is mentioned for the sword of Beren in Tolkien's notes.
       (suggested by Tyler Witter)
     - Added a new type of subwindow for displaying the dungeon area around
       the player.
     - Added a new subwindow type "Display player (compact)" that displays
       the left-hand-side of the main term (player stats, hitpoints, gold,
       ...) in a separate window.
     - Added a new window type that displays the info from the status line.
     - Turned the "scroll map while targetting" option permanently on.
     - Added a display of the temporary resists to the status line.  The
       resists are only displayed if there is enough room after the dungeon
       level (when using a main or status term with at least 85 cols).
       The verbosity of the output (between "Acid Elec Fire Cold Pois" and
       "AEFCP") depends on the term width.
     - Display the player's speed in the character dump and on the info page.
     - Identified scrolls can now look different from unidentified ones.
       This allows the use of the individual scroll tiles created by David
       Gervais.
     - Allow the ammo-branding activation of 'Cubragol' to be aborted without
       using up the charge. (Diego Gonzalez and Jeff Greene)
     - Use actual monster and object symbols instead of a list of hardcoded
       symbols when hallucinating.
     - Added Craig Oliver's Sound FX Patch version 1.1 that adds about 120
       new sound events to the game.
       (see also http://www.chambrook.org/angband/soundfx.php)
     - Scroll the map when the player is 1/4th of the visible grids away from
       the edge of the map display.
     - Allow the OS X version to be started from a read-only medium, for
       example from a disk image or a central installation under
       'Applications'.  All user-specific files like savefiles, scores,
       char-dumps, and saved preferences are stored in
       'Library/Preferences/Angband/' and its subfolders inside the user's
       home directory.
     - The Mac OS X application bundle now includes all the necessary files
       from the lib folder.  The separate lib folder in the distribution is
       no longer necessary.  This means that the OS X version can now be
       installed by simply dragging the application icon to the target
       directory.
     - The OS X version would crash when changing the sound or graphics
       options before a character was created or loaded. (reported by Patrick
       Hughes)
     - Don't save the Mac OS X preferences on exit if the game hasn't been
       initialized properly to prevent corruption of the preference file in
       case of an error at startup.  Skip loading the preference file if it
       is broken. (problem reported by Matt Stone)
     - Include the basic Angband sound files per default in the OS X version.
     - Made the tile size independent of the font size in the X11 version.
       Store various window settings like the window size between sessions.
     - Don't add a hardcoded 'games' subdirectory to the installation path on
       multi-user machines.
     - Allow all user created files to be saved in subdirectories under
       ~/.angband/Angband/ when PRIVATE_USER_PATH is defined.
     - Allow the use of the 'vcs' display module on systems with devfs-style
       '/dev/vc/*' terminals.
     - The virtual console (vcs) front-end does now implement cursor
       visibility and bigscreen support.  (Alexander Ulyanov)
     - Enable cursor visibility in the "gcu" front-end on Linux systems.
       (Alexander Ulyanov)
     - Fixed a bug in the Xaw frontend, which made Angband crash if the main
       window geometry was specified as an X resource. (Alexander Ulyanov)
     - Make X11 frontends show floors as centered dots, walls as blocks, and
       treasures as diamonds. (Alexander Ulyanov)
     - Removed the restriction of bigtile mode to the main window in the X11
       version.
     - Added Alexander Ulyanov's Linux framebuffer display module from:
       http://posband.earthsea.org/misc/angband-lfb-20050220.tar.gz
     - Added compile instructions for MinGW/MSYS on Windows. (Tuomas
       Härkönen)
     - Added compile instructions for gcc on Mac OS X.
     - Fixed a stupid bug that could cause the game to hang or crash when
       killing quest monsters near the edge of the dungeon. (Ivan Tuckwell
       and Dr. Andrew White)
     - Added missing tiles and tile assignments for the 32x32 tiles. (Ivan
       Jekic and David Gervais)
     - The charges of rods of perception weren't handled correctly when
       compiling with scripting turned off. (reported by "Twilight" and Jeff
       Greene)
     - Cursed speed rings should not increase the level feeling. (Anssi
       Ramela and Jeff Greene)
     - Refresh the list of visible monsters after (Mass) Banishment,
       Earthquake, and Destruction spells, when using the 'delete nearby
       monsters' function in debug mode, as well as when pressing Ctrl-R.
       ("Twilight")
     - Don't try to write zero-length blocks when saving the lib/data/*.raw
       files. (suggested by Juha Niemimaki)
     - Corrected the item description for scrolls of recharging. (reported by
       Hugo Kornelis)
     - Fixed a Angband 3.0.6 alpha 1 specific crash with the Mac OS X 10.4
       (Tiger) caused by releasing a reference that should not be released.
       (reported by Harry Erwin)
     - The experience loss as a result of one of the One Ring's activations
       is now 1/4 of both max and current experience instead of the
       unintended reduction of max exp by 3/16 of the current experience.
       (Hugo Kornelis)
     - Cleaned up the handling of experience draining when the player has
       Hold Life. The fixed part of the exp drain by nether breaths is now
       also reduced by Hold Life. (Hugo Kornelis)
     - The 'star ball' activation fired one ball more when scripting was
       enabled.  (Hugo Kornelis)
     - The object description for the 'cure wounds' activation reads
       "activates for cure wounds (4d7)", but it actually cures 4d8 points of
       damage.  The description has been fixed. (Hugo Kornelis)
     - The "recharge item" artifact activation can now be canceled at the
       "Recharge which item" prompt without draining the artifact's charge.
       (Hugo Kornelis)
     - The symbol for the Shield of Deflection was a light blue [ instead of
       a ) like all other shields. (Hugo Kornelis)
     - Reduced the price for "Raal's Tome of Destruction". (Hugo Kornelis and
       Timo Pietila)

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 28 Jun 2005 00:53:03 -0500

angband (1:3.0.5-1) unstable; urgency=low

  *  Bug fix: "angband: incomplete copyright file", thanks to Andrew
    Saunders. The copyright file was actually created by Joshua Kwon, who
    apparently has uploaded angband as an NMU, but I have not seen it on
    my mirror yet. In any case, the NMU was appreciated. Thanks for the
    help.                                                 (Closes: #248668).
  * New upstream release.
    - Summoned creatures appear near the caster now instead of near the
      player.
    - Made rods of detection invulnerable to electric attacks.
    - Restored the old behavior of the Glyph of Warding to protect against
      direct melee attacks when standing on it.
    - Rods can no longer be drained by monsters.
    - The minor vault "Interlock" had switched height and width definitions,
      causing it to be created in a chaotic state. (Werner Baer)
    - Spells that prompt the user for an item (identify, enchantment,
      recharging) or an monster letter (banishment) no longer use mana if
      canceled.
    - The order of mage spells in the books in the non-Lua version is now
      the same as in the Lua version.
    - Give energy to monsters and the player at the end of the game turn
      instead of at the start.  This prevents various odd effects when
      loading a saved game. (reported by Phil)
    - The activation descriptions for rings were missing with Lua scripting
      turned off. (Jeff Greene)
    - The SHATTER (earthquake) attack of monsters can cause the player to be
      pushed into another position.  Processing of the remaining blows of
      the monster should stop in that case. Otherwise the player could get
      hit "through a wall" that was created by the earthquake. (Jeff Greene)
    - Removed the autoroller delay.
    - Cleaned up the paragraph handling in the object descriptions.
      (Hallvard B Furuseth)
    - "It cannot be harmed by acid and fire" should be "... acid *or* fire".
      (Hallvard B Furuseth)
    - Piles of wands, staves, and rods can be used from the ground without
      picking them up first.
    - Fixed a problem in the Unix/Linux makefiles.  The POSIX standard
      doesn't allow a dot instead of a colon as separator for the chown
      parameters.
    - Removed an accidental use of floating point code that prevented
      Angband from running on old machines without an FPU.
    - Removed unnecessary event handlers that negativly affected performance.
    - The "pseudo graphics" used by the (n)curses version didn't support
      terrain lightning correctly.
    - The window resize control was sometimes overwritten with a black tile
      in the OS X version.
    - Removed the warning message about missing preferences from the OS X
      version.  The first thing a new player sees after starting Angband
      shouldn't be a "scary" message.
    - Added a Windows helpfile created by Jordan Hobbs.
    - Added project files for building Angband with MS Visual C++ 7.1.
      (Tasha Jessup)
  

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 23 Jun 2004 01:27:08 -0500

angband (1:3.0.4-2) unstable; urgency=low

  * Bug fix: "-mgcu is gone, no more angband on the console...", thanks to
    Jurriaan. Added libncurses5-dev to the build-depends line, since
    building on a buildd or a pbuilder environment mace gcu disappear
                                                         (Closes: #244178).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Apr 2004 13:42:31 -0500

angband (1:3.0.4-1) unstable; urgency=low

  * New upstream release
    - Made the water vortex immune to water-based attacks.
    - Chaos resistance protects against confusion by chaos based attacks.
    - Smoothed out the tables for extra mana-points per level, hitpoint
      bonus from constitution, "spells per level" vs. "spell stat", and
      INT/WIS dependent failure rate adjustment.  The old steps have been
      replaced by a steady increase, so small stat improvements are more
      useful.  Please note that this will also affect characters imported
      from older versions, so these might gain or lose some spells, mana,
      and hitpoints when imported into Angband 3.0.4.
    - Gave the 'thanc daggers a 2d4 damage dice instead of 1d4 and made them
      more common. (Jonathan Ellis)
    - Gave each of the Paur* gauntlets a single minor power (slow-digestion,
      regeneration, permanent light, feather fall) and made them more
      common. (Jonathan Ellis)
    - Rods, wands, and staves with different charges can now be stacked.
      (based on the NPPAngband version that in turn is based on
      Leon Marrick's rod/wand stacking in OAngband.
    - Rods can't be recharged anymore, but can be vulnerable to electricity.
    - Rods of Recall, Perception, Curing, Healing, Restoration, and Speed
      will not be destroyed by electricity.
    - Made Raal's Tome of Destruction more, and Kelek's Grimoire of Power
      less common. (Timo Pietilä)
    - Heavy crossbows no longer can get the 'of the Haradrim' suffix and
      'light crossbows of the Haradrim' get a smaller damage bonus. (Timo
      Pietilä)
    - Removed fire brand from ammo 'of Holy Might'. (Timo Pietilä)
    - Give the short range teleport effect from gravity attacks on monsters
      an additional 1 in 3 chance to teleport the monster away.  This should
      make abusing the Rift spell a bit harder.
    - Added a level dependent chance to resist the teleportation effect of
      gravity attacks for monsters and the player. (suggested by Jonathan
      Ellis)
    - Junk items like broken sticks, empty bottles, and rodent skeletons are
      no longer generated in the dungeon.
    - Removed the old haggling code.  The auto-haggling code is now
      permanently active and will give the normal price of items without the
      10% "sales tax".
    - Replaced the old screendump code with HTML screendump code that
      handles graphics, bigscreen, bigtile, and other display oddities much
      better. (based on the htmldump-patch by Darkgod).
    - Added support for artifact and ego-item descriptions. (with help from
      Hallvard B Furuseth)
    - Added artifact descriptions.  The texts are mainly taken from OAngband
      and other variants. (Jonathan Ellis)
    - Added object descriptions assembled by Hallvard B Furuseth.  The
      descriptions are mostly copied from obj-long.spo version 3.0.2 by Hugo
      Kornelis, Stephen S. Lee, Leonard Dickens and Craig Lewis.
    - Added ego item descriptions for some ego types. (Hallvard B Furuseth)
    - "Easy open" ignores broken doors now when trying to close doors.
    - Added the equipment flag matrix to the character dump.
    - Added new 8x8 tiles and tile definitions provided by "Dawnmist".
    - Added the player's maximum depth in the dungeon to the character
      display and the dump.
    - Removed several broken tile definitions for the 32x32 tiles.
    - Use the proper monster flags instead of workarounds for various
      resists and immunities.  This also allows the reporting of these flags
      in the monster recall and the spoilers. (pointed out by Leon Marrick)
    - You can now use either 'm' or 'p' to cast spells or pray.
    - Allow direct melee attacks on visible monsters in walls.  You still
      have to tunnel into the wall if you are trying to attack an invisible
      monster. (suggested by Greg Stark)
    - Show infos like "It cannot be harmed by the elements." when
      'Inspecting' books, just as for other item types.
    - Changed the behavior of the 'auto_more' option, so that it
      automatically skips '-more-' prompts instead of not displaying
      messages on the top line. (Tom Houser)
    - Changed the "Do you really want to quit?" prompt to "Do you really
      want to commit suicide?".
    - Added a 'show scores' command to the knowledge menu.
    - Changed the wording for the scores display a bit.
    - Added the kill count of non-unique monsters to the knowledge menu.
    - Added a modified version of Mogami's macro trigger patch. This patch
      modifies how macro trigger keys are displayed on screen and written in
      .prf files.  The trigger keys are no longer displayed in ugly key code
      style, such like ^__FFBE\r or ^_O_FF53\r, but in more smart style,
      such like \[F1] or \[alt-Right].
    - Added a better character selection screen with support for using the
      cursor keys, display of info about the various race and class choices,
      and context sensitive help.  The code is based on the EyAngband's
      birth screen that again is probably based on ZAngband's birth screen.
    - Select the sex, race, and class choices from a dead character as
      defaults for a new character.
    - Added a stripped down version of Takeshi Mogami's "auto_dump" feature
      from Hengband.  Automatic pref file dumps from the game are now
      marked, so that they can be replaced when dumping to the same
      pref-file again.
    - Allow the banishment spell to be aborted at the "Choose a monster race
      to banish" prompt without using up a scroll or charge.
    - Added John Rauser's monster list patch that allows the user to display
      a list of the visible monsters in a window.
    - Improved the navigation in the help files.
    - Recharging wands or staves that have been fully *identified* before
      will now automatically reveal the new number of charges in the device.
      This fixes a bug where an already *ID'ed* wand or staff couldn't be
      *ID'ed* again after recharging (but plain ID works), despite the
      number of charges being unknown. (bug reported by Eddie Grove)
    - text_to_ascii() didn't check that the characters used in \xAB
      sequences represent real hex characters.  Invalid hex sequences are
      now converted to the '?' character. (reported by Kieron Dunbar)
    - Improved the handling of incomplete '\x' sequences in macros.  The old
      code could skip the final NUL-byte of the string if it ended with
      '\x', leading to a potential buffer overflow.
    - Fixed a typo in the description of the "wild cat". (Jay McAbee)
    - Monster groups ignored their fear when the smart_packs option was
      turned on. (reported by Eddie Grove)
    - Rods and staves of probing are no longer automatically identified when
      used without a monster nearby. (reported by "someog")
    - Prevent the player from being hit multiple times by area effect spells
      and breaths that can blink the player (nexus, gravity).
    - The player can now get a level feeling when entering level 1 without
      spending 1000 game turns in town first. (Tom Houser)
    - Branding ammo or weapons will now automatically try to combine and
      reorder the resulting objects, even if the enchantment of to-hit and
      to-dam fails. (reported by John D. Goulden)
    - Try to output minor warning messages (such as "illegal option choice"
      when selecting a non existing item for a command) as soon as possible.
      (reported by "Mogami")
    - Show all minor error messages immediately in the message window.
    - The effects of light spells are only obvious if you aren't blind.
    - Wands and rods of light don't give a message and aren't automatically
      identified when using them while blind. (reported by Steve Kroon)
    - Refilling a latern from a stack of laterns will now only use the oil
      from one latern, not from the whole stack. (reported by Jay McAbee)
    - Prevent earthquake/destruction spells from working in town.  This
      prevents inappropriate messages (like "The cave ceiling collapses!").
    - Automatically try to load the "Kobold.prf" file at startup if the
      player is a Kobold.
    - Improved the output of item and monster descriptions in spoilers and
      character dumps.  In some cases punctuation and spaces were wrapped to
      the next line.
    - The basic object spoilers only reported the prices for unidentified
      items.  (reported by Hugo Kornelis)
    - Only print the "You feel (less) resistant to ..." messages when not
      immune to the specific element. (reported by Jeff Greene)
    - The cursor keys in the X11 ports behave the same way now, no matter if
      num-lock is on or off.
    - Change colors in main-gcu.c. This is Dominik Grzelak's patch to change
      bright white from blue back to bright white. (Ed Cogburn)
    - Added a workaround for a bug in the curses version with USE_GETCH.
      The news.txt screen was erased by the first call to the getch()
      function. (Frank Palazzolo)
    - Angband consumed 100% of the cpu while waiting for a keypress in the
      GTK port. (Sheldon Simms)
    - Allow text to be copied from the game window in the X11 port.
      (modified version of the code in Kieron Dunbar's sCthangband 1.0.10)
    - Added transparency support to the 32x32 tiles in the Windows port.
      This requires a modified tiles bitmap and a new transparency mask
      originally created by Andrew Doull:
      ftp://clockwork.dementia.org/angband/Extra/graf-32x32-304.zip
    - Removed the hackish 'Show scores' menu entry from the Windows version.
      Use the new knowledge menu entry instead.
    - Applied lots of Mac specific patches by "pelpel".
    - Allow initialization of the game to continue, even if the
      lib/data/*.raw files can't be written.  In that case the data parsed
      from the lib/edit/*.txt files stays in memory and is used instead of
      the *.raw data.  This currently wastes some memory, since the text
      arrays are not resized to the minimum required length.
    - Added a performance tweak for the Angband Borg.
    - Increased the data-type of the shopkeeper purse limit from signed
      16 bit to signed 32 bit.  This will allow shopkeepers with a higher
      limit than 32768 gold to be added.
    - Added a compile time option to store the savefiles and scores in the
      player's home directory (under ~/.angband/Angband/) on multi-user
      machines.
    - Use a different delay function in the DOS version that works around
      the restricted 55ms resolution on Windows 2000 and XP.


 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 Apr 2004 02:32:24 -0500

angband (1:3.0.3-3) unstable; urgency=low

  * Bug fix: "XSIisms in postinst, prerm; violates policy 10.4", thanks to
    Clint Adams                                            (Closes: #237954).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 14 Mar 2004 12:03:32 -0600

angband (1:3.0.3-2) unstable; urgency=low

  * Fixed usage of chown root.root in the rules files, and various
    Makefile.am's and Makefile.in's.
  * Moved over to the new build system, and arch
  * Reverted to not using gtk since gtk bombs at the setuid programs. This
    would require a radical retooling of the package and the high scores
    code. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Feb 2004 23:34:55 -0600

angband (1:3.0.3-1) unstable; urgency=low

  * New upstream bug fixing version. Changes:
     - Fixed a bug in the text-output routines used for character dumps that
       sometimes introduced bogus output. (reported by Pasi Vartiainen)
     - Fixed a wrong entry in the template for the X11 startup shell script.
       ("Mynstral")
     - Fixed the display of *slays* in character dumps. (Matthias Kurzke)
     - The "It might have hidden powers." message will now displayed in the
       character dumps.  This makes it easier to see if an artifact or ego-item
       with random abilities has already been *identified*.
     - Curses on unidentified items are no longer revealed in character dumps 
       or in the output of the 'Inspect' command.
     - Fixed a typo - "intellegence". (Greg Stark)
  * Make sure the package contains /var/games/angband/file/news.txt
                                                             closes: Bug#176950
  * Try and fix the lib/xtra/fonts/Makefile                  closes: Bug#178591

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 30 Jan 2003 00:22:32 -0600

angband (1:3.0.2-1) unstable; urgency=low

  * New upstream bug fixing version
  * Make sure that files are truly deleted on purges.        closes: Bug#172880

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Dec 2002 13:47:08 -0600

angband (1:3.0.1-2) unstable; urgency=low

  * Try an merge the xpj patch.                              closes: Bug#150814

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Nov 2002 15:58:18 -0600

angband (1:3.0.1-1) unstable; urgency=low

  * New upstream source.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  6 Nov 2002 04:02:15 -0600

angband (1:3.0.0-3) unstable; urgency=low

  * The data directory should not be moved to /usr, since files in it are
    regenerated at run time.                     closes: Bug#150682, Bug#150683

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  2 Sep 2002 03:24:21 -0500

angband (1:3.0.0-2) unstable; urgency=low

  * Fix the postinst globbing.                            closes: Bug#150025

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 16 Jun 2002 14:52:47 -0500

angband (1:3.0.0-1) unstable; urgency=low

  * Major upgrade. Mostly changes to the arcane spellcasters; all the
    spell lists have been changed.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 12 Jun 2002 22:49:19 -0500

angband (293-6) unstable; urgency=low

  * Fixed typo in postinst

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 13 Apr 2002 20:36:52 -0500

angband (293-5) unstable; urgency=low

  * Try and move old scores files and user save files if we can. 
                                                             closes: Bug#141093

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 Apr 2002 15:41:46 -0500

angband (293-4) unstable; urgency=low

  * Add a --with-x to the configure line, just in case.
  * Also strip the .note section

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 27 Jan 2002 01:06:36 -0600

angband (293-3) unstable; urgency=low

  * Ulp. A wrong VAR was fed to configure, and made the game unusable on
    any machine but mine.                                    closes: Bug#129909
  * Cannot add in support for the BORG, since the code for the BORG is not
    shipped with the upstream sources. It shall have to be another  package, 
    and hence this is not a wishlist bug for angband.        closes: Bug#127364
  * Angband no longer installs broken symlinks               closes: Bug#71222

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 18 Jan 2002 21:18:59 -0600

angband (293-2) unstable; urgency=low

  * Urk. Yet another place where the old /var/lib/gmaes lurked.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Jan 2002 04:30:29 -0600

angband (293-1) unstable; urgency=low

  * Major changes in this version                            closes: Bug#127876
  * The code has been reorganized, cleaned up, and partially rewritten. I
    think that the problem reported by libsafe has been corrected; please
    provide information if I am wrong.                       closes: Bug#71223
  * Ang band now uses libXaw.                     closes: Bug#79071, Bug#127363
  * Andband files are now moved to /var/games                closes: Bug#115847
  * Corrected spelling in description                        closes: Bug#124410
  * Fixed man page spelling errors                           closes: Bug#78795
  
 -- Manoj Srivastava <srivasta@debian.org>  Wed, 16 Jan 2002 21:12:24 -0600

angband (292-1) unstable; urgency=low

  * Make this work for alpha as well, by changing a define. Thanks to
    Bart Warmerdam <bartw@xs4all.nl>
  * New upstream version

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Mar 2001 00:37:48 -0600

angband (291-2) unstable; urgency=low

  * The upstream release allows for ~/.angband.prf files. closes: Bug#64597
  * Added an example wrapper that can be used to set preferences.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 26 Jul 2000 05:14:31 -0500

angband (291-1) unstable; urgency=low

  * New upstream maintainer, and new version. Lots of changes. 
    Changes in Angband 2.9.1:
    * Added color coded messages and more sound events.
    * Allowed the modification of the various *_info.txt limits without
      recompiling.
    * The lib/data/*_info.raw files will be automatically rebuild when the
      lib/edit/*_info.txt files are changed.
    * The monster spoilers and the list of known uniques sort the monsters now.
    * Made player races, player history, shop owners, and race*dependent price
      adjustments customizable (Prfnoff).
    * Moved the monster recall information out of the monster race array making
      room for a lot more monsters (Prfnoff).
    * Random item abilities of *identified* items are now displayed in
      character dumps (Prfnoff).
    * Identify and *identify* spells only affect unidentified items now.
    * Added a "create artifact" wizard command.
    * Added optional, case-insensitive searches (can be toggled with the '!'
      key).
    * Added an "examine/look at item" command to the stores.
    * The "examine item" command now shows all known properties of an item,
      even if it is not *identified*.
    * Made artifact activations configurable in a_info.txt (Arcum Dagsson).
    * The last 15 messages are now added to the character dump (Prfnoff).
    * Reduced the number of option settings printed in character dumps.
    * Empty slots in the players inventory or home are no longer printed
      in character dumps.
    * Added a character death menu (Prfnoff and Ed Cogburn).
    * Added the ego-item generation patch (Matthias Kurzke).
    * The date in the high-scores is now saved with four digit years.
    * The "brand bolts" activation of "Cubragol" now allows the user to select
      which bolts to brand.
    * Added 21 new vaults (Chris Weisinger).
    * The Resistance spell sets the duration for all temporary resistances to
      the same value now.
    * Fixed a bug that generated wrong item indices for the home in char-dumps.
    * The temple will now buy identified blessed blades.
    * Fixed a bug that allowed monsters to sometimes get double moves, even
      if the player is faster.
    * Object and message recall are now correctly refreshed.
    * Fixed the wizard mode flag display.
    * The alter command ('+' and easy_open option) no longer tries to bash down
      doors.
    * Fixed a bug that caused the effect of aggravate monsters scrolls to skip
      one monster.
    * Fixed a bug in the easy-floor option that sometimes displayed wrong
      labels.
    * Prices for identified armor with hit, damage, or armor penalities were
      wrong.
    * Fixed a bug that allowed the player to recall into rubble.
    * Screen-dumps are now correctly loaded.
    * Fixed a bug in the random artifact generation that sometimes caused random
      artifacts to change.
    * Fixed a bug that erased pseudo-id in shops even if the item was not sold.
    * Fixed a wrong message when the player gets killed by poisonous food.
    * Random artifact diggers are now in the spoilers.
    * Fixed a bug that messed up objects on the floor when modifying them in
      debug mode.
    * The score-penalities are now correctly reset when starting a new
      character.
    * Moved some sound-events so that they are played before the associated
      message is printed.
    * Opening doors is now properly repeated when the easy_alter option is on.
    * Modified the monster AI for fleeing monsters a bit.
    * Fixed a bug that could cause crashes with very long object descriptions.
    * One highscore entry was sometimes not displayed when the current character
      was part of the highscore list.
    * Dumping the options appends to the file now instead of overwriting it.
    * Modified the spell-tiles assignments for the 8x8 graphics.
    * The 16x16 tile for the Monadic Deva is now correctly displayed.
    * The 8x8 tiles for hobbit players are no longer displayed as human
      warriors.
    * Fixed some bugs in the lighting code for 16x16 tiles.
    * Saving a character dump prints now a success (or failure) message.
    * Trying to destroy an already identified artifact no longer adds the
      {special} inscription.
    * Small modification to the docs.
    * Added documentation for the *_info.txt file format.
    * Class and race specific *.prf files are now loaded automatically.
    * Added Ben's code-cleanups and his rewrite of the "panel" and "overhead
      map" code.
    * Added a workaround for a bug in the optimizer of the GCC compiler.
    * Removed several compiler warnings.
    * Replaced the makefile.emx with the correct version.
    * Added a makefile for cygwin.
    * Fixed some problems when compiling Angband without the MONSTER_FLOW and/or
      MONSTER_AI options.
    * Removed a bug that caused a wrong error message to be displayed when the
      mask.bmp file in the Windows version was missing.
    * Added the IBM pseudo-graphics font.
    * Updated the pref files for Acorn and Mac.
    * Added Mark Howson's main-ami.c and Musus Umbra's main-acn.c with several
      other Acorn support files.
    * Added newer main-mac.c and graf-mac.prf files that support 16x16 tiles
      with transparency.
    * Closing the main-window of the Win32 version while it's minimized now
      works correctly.
    * The Windows version now supports multiple samples per sound event.
    * Added a graphical map to the Windows version.
    * Added the newest X11 modules by Ben Harrison and Steven Fuerst.
    * The Windows version now lists the current character in the score display.
    * Turned on the compile time option that allows players to put an
      .angband.prf file in their home directory.
    * Added gamma correction to the Windows version.


 -- Manoj Srivastava <srivasta@debian.org>  Tue, 25 Jul 2000 22:45:11 -0500

angband (290-1) unstable; urgency=low

  * New upstream Maintianer, and a ton of small improvements. closes: Bug#62205
  * Update files in /var/lib/games/angband/data/ on install. Also, make
    sure that the scores files are not owned by first player that runs the
    game, this fixes a (minor) security issue.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 14 Apr 2000 13:26:23 -0500

angband (283-7) unstable; urgency=low

  * Use absolute links when related links would not work, for the
    /usr/doc/latex2tml symlink.
  * Added a dependency on fileutiles >=4.0, since the package would fail
    to install with older fileutils.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 28 Mar 2000 03:10:25 -0600

angband (283-6) frozen unstable; urgency=low

  * Fixed an upgrade bug when /usr/doc happens to be a symlink, and does
    not point to /usr/share/doc. A couple of people were bitten by this. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Feb 2000 22:27:05 -0600

angband (283-5) frozen unstable; urgency=low

  * The postinst was vulnerable to being affected by symlinks (if, for
    some reason, the prerm failed). This has happended for latex2html; and
    created a grave bug. 
  * There was a bug in the postinst in a case statement, that caused
    installation to fail for certain situations.
  * Also fixed an lintian warning

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Feb 2000 14:43:39 -0600

angband (283-4) unstable; urgency=low

  * Fixed typo in README.debian; discovered by Lintian.
  * moved to FHS compliance

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  5 Oct 1999 12:39:12 -0500

angband (283-3) unstable; urgency=low

  * Fixed a typo in the rules that made all the symlinks point to one level
    too high. closes: Bug#19181

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  9 Mar 1998 04:01:15 -0600

angband (283-2) unstable; urgency=low

  * Made all links in between top level directories absolute. Fixes
    linitian warnings.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  5 Mar 1998 19:43:45 -0600

angband (283-1) unstable; urgency=low

  * New upstream release. This is supposed to be an official stable
    version. 
  * Added Manual page for the game. This is quite inchoate, and needs some
    work still.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Feb 1998 19:30:46 -0600

angband (282-3) unstable; urgency=low

  * Make links into /etc absolute, as per policy. 
  * This package has a number of files that it writes into (aon may change
    the nature of the game, or set up pref files from inside the game,
    etc), causing a number of directories to be group games writable. The
    binary, too, is set gid games. This causes lintian to throw a hissy
    fit ;-) 
  * Upgraded to standards version 2.4.0.0
  * This fixes all known lintian errors. Some lintian warnings remain. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  9 Feb 1998 18:08:24 -0600

angband (282-2) unstable; urgency=low

  * Make sure the copyright file is not compressed. closes:Bug#14377

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  5 Nov 1997 11:06:27 -0600

angband (282-1) unstable; urgency=low

  * Built with the new libc6 and the new X11 libraries.
  * Updated to standards version 2.3.0.0
  * New upstream version. This is supposed to be the next "stable"
    version. The excerpt of changes are:
  * Improved Documentation.
  * New command + (alter space -- tunnels, disarms, hits, open, or in
    other ways does the appropriate thing to the square in the direction
    indicated)
  * Creatures in wall can no longer be attacked by moving into them, you
    have to tunnel.
  * Defenders and Holy avengers now sustain one random stat.
  * Some Slay evil and slay undead weapons boost the wielder's wisdom.
  * Some Slay Animal and Slay Demon weapons boost the wielder's intelligence.
  * Some Slay Orc weapons boost the wielder's dexterity.
  * Some Slay Troll and Slay Giant weapons boost the wielder's strength.
  * Robes of the Magi are now called the robes of permanence.
  * Optionally, you may have the monsters retain things they steal from
    you; killing them will let you get your things back.
  * You may let multiple items stack on the florr; no more items
    disappearing. 
  * You will no longer be asked about the numbers of items to sell, buy,
    drop, or get; the default is 1, and you have to specify a number (0
    followed by digits) of objects to act upon. (I really hate this
    change).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 13 Sep 1997 23:29:17 -0500

angband (281-5) unstable; urgency=low

  * Moved to Athena widgets instead of  using pure xlib X11 to get better
    control of the application by using the X resources. 
  * Added documentation on how to change the positioning, fonts, color,
    etc for angband using Xresources.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 14 Aug 1997 16:19:34 -0500

angband (281-4) non-free; urgency=low

  * This is the first version built using cvs-buildpackage
  * Built with libc6 and the new curses

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 27 Jun 1997 14:12:17 -0500

angband (281-3) non-free; urgency=low

  * Added menu entry for angband

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 7 May 1997 19:20:44 -0501

angband (281-2) non-free; urgency=low

  * Fixed possible problems with user id determination
  * Fixed problems with gender determination of character

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 18 Mar 1997 22:14:18 -0600

angband (281-1) non-free; urgency=low

  * New upstream source

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 7 Mar 1997 15:10:45 -0600

angband (280-4) non-free; urgency=low

  * Installed a flexible system in the rules file so that the static 
    directories stay in /usr/lib/games, the variable or run time stuff
    is in /var/lib/games, and editable or modifiable data is in /etc, 
    and whole directories under the lib structure may be moved around by
    changing make variables, with symlinks back to the /var are and
    automagikal generation of conffiles. This package now conforms to 
    the FSSTND.
  * Moved to standards version 2.1.2.2
  * Added error messages to failed root check

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 Feb 1997 14:31:12 -0600

angband (280-3) non-free; urgency=low

  * Added a postinst to help move /usr/lib/games/angband to the new location
    /var/lib/games/angband.
  * Modified rules to track lib dir changes in config.h, so that
    it only needs be changed in one place.
  * Change lib location yet again to /var. The reason is that /usr may
    be read only, and angband does not just write score files, it also
    writes raw data files,bones files, save files, and pref files; so
    it was easier to move the whole dir.  Also, configuring the code to 
    look for files in different directories is cumbersome, and prone to
    error. This fixes BUG#6148.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 28 Dec 1996 18:51:38 -0600

angband (280-2) non-free; urgency=low

  * Changed lib location to /usr/lib/games/angband. This fixes BUG#5823.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 21 Dec 1996 01:12:56 -0600

angband (280-1) non-free; urgency=low

  * Initial Release.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 19 Nov 1996 22:50:05 -0600


